Bump version and needed versions to the final values
authorAlf Gaida <agaida@siduction.org>
Sat, 29 Jul 2017 18:53:40 +0000 (20:53 +0200)
committerAlf Gaida <agaida@siduction.org>
Sun, 30 Jul 2017 09:52:00 +0000 (11:52 +0200)
CMakeLists.txt

index c533125..7eecd63 100644 (file)
@@ -3,13 +3,13 @@ cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
 project(liblxqt)
 
 set(QT_MINIMUM_VERSION "5.5.0")
-set(QTXDG_MINIMUM_VERSION "2.0.0")
-set(LXQTBT_MINIMUM_VERSION "0.3.1")
+set(QTXDG_MINIMUM_VERSION "3.0.0")
+set(LXQTBT_MINIMUM_VERSION "0.4.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 11)
+set(LXQT_MINOR_VERSION 12)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.11 - liblxqt is at patch version 1
@@ -19,7 +19,7 @@ set(LXQT_MINOR_VERSION 11)
 # patch-version as liblxqt - in real life it will be fine if every component
 # has it's own patch version within a major/minor life cyle.
 #
-set(LXQT_PATCH_VERSION 1)
+set(LXQT_PATCH_VERSION 0)
 set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
 
 include(CMakePackageConfigHelpers)